aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorHarald Welte <laforge@gnumonks.org>2019-01-13 13:40:15 +0100
committerHarald Welte <laforge@gnumonks.org>2019-01-13 13:40:56 +0100
commit9079bc8bcd87df028efd77dd7ea6d1cab52fcdaf (patch)
tree1027f9f7e15c34d24de7bd1432e68ae536e9d531
parent8476b94ab008805db1e91d74fc47b1619953f48b (diff)
add contrib/jenkins.sh for build verification
-rwxr-xr-xcontrib/jenkins.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
new file mode 100755
index 0000000..0965bf5
--- /dev/null
+++ b/contrib/jenkins.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+set -ex
+
+if [ -z "$MAKE" ]; then
+ set +x
+ echo "Error: you need to set \$MAKE before invoking, e.g. MAKE=make"
+ exit 1
+fi
+
+osmo-clean-workspace.sh
+
+verify_value_string_arrays_are_terminated.py $(find . -name "*.[hc]")
+
+cd gcc && $MAKE $PARALLEL_MAKE
+
+osmo-clean-workspace.sh